Debian Bug report logs - #691392
gnupg: udev rules for token / smartcard reader support

version graph

Package: gnupg; Maintainer for gnupg is Debian GnuPG-Maintainers <pkg-gnupg-maint@lists.alioth.debian.org>; Source for gnupg is src:gnupg.

Reported by: Niibe Yutaka <gniibe@fsij.org>

Date: Thu, 25 Oct 2012 03:18:02 UTC

Severity: normal

Found in version gnupg/1.4.12-6

Fixed in version gnupg/1.4.14-1

Done: Thijs Kinkhorst <thijs@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GnuPG-Maintainers <pkg-gnupg-maint@lists.alioth.debian.org>:
Bug#691392; Package gnupg. (Thu, 25 Oct 2012 03:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niibe Yutaka <gniibe@fsij.org>:
New Bug report received and forwarded. Copy sent to Debian GnuPG-Maintainers <pkg-gnupg-maint@lists.alioth.debian.org>. (Thu, 25 Oct 2012 03:18:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Niibe Yutaka <gniibe@fsij.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gnupg: udev rules for token / smartcard reader support
Date: Thu, 25 Oct 2012 11:56:12 +0900
Package: gnupg
Version: 1.4.12-6
Severity: normal

I am upstream contributor to maintain token/smartcard support of
GnuPG.

While GnuPG in-stock CCID driver has a limitation (only supports
smartcard readers with T=1, auto configuration feature), and it would
be recommended for users to install pcsc-lite for better support of
readers, it is considered good for a distribution to have a good udev
rules for GnuPG in-stock CCID driver.

Here is a patch to add entries to gnupg.udev.  The information has
been collected by me while maintaining a part of GnuPG.  I think that
there are more smartcard readers which work well with the in-stock
CCID driver, but these are all, currently.

Could you please consider to add entries?


--- debian/gnupg.udev~	2012-03-01 18:35:36.000000000 +0900
+++ debian/gnupg.udev	2012-10-25 11:33:02.402577951 +0900
@@ -4,10 +4,30 @@
 ACTION!="add", GOTO="gnupg_rules_end"
 
 # USB SmartCard Readers
-## SCM readers (SCR335, SPR532, & Co)
+## Cherry GmbH (XX33, ST2000)
+ATTR{idVendor}=="046a", ATTR{idProduct}=="0005", ENV{ID_SMARTCARD_READER}="1", ENV{ID_SMARTCARD_READER_DRIVER}="gnupg"
+ATTR{idVendor}=="046a", ATTR{idProduct}=="003e", ENV{ID_SMARTCARD_READER}="1", ENV{ID_SMARTCARD_READER_DRIVER}="gnupg"
+## SCM Microsystems, Inc (SCR331-DI, SCR335, SCR3320, SCR331, and SPR532)
+ATTR{idVendor}=="04e6", ATTR{idProduct}=="5111", ENV{ID_SMARTCARD_READER}="1", ENV{ID_SMARTCARD_READER_DRIVER}="gnupg"
+ATTR{idVendor}=="04e6", ATTR{idProduct}=="5115", ENV{ID_SMARTCARD_READER}="1", ENV{ID_SMARTCARD_READER_DRIVER}="gnupg"
+ATTR{idVendor}=="04e6", ATTR{idProduct}=="5117", ENV{ID_SMARTCARD_READER}="1", ENV{ID_SMARTCARD_READER_DRIVER}="gnupg"
 ATTR{idVendor}=="04e6", ATTR{idProduct}=="e001", ENV{ID_SMARTCARD_READER}="1", ENV{ID_SMARTCARD_READER_DRIVER}="gnupg"
 ATTR{idVendor}=="04e6", ATTR{idProduct}=="e003", ENV{ID_SMARTCARD_READER}="1", ENV{ID_SMARTCARD_READER_DRIVER}="gnupg"
-ATTR{idVendor}=="04e6", ATTR{idProduct}=="5115", ENV{ID_SMARTCARD_READER}="1", ENV{ID_SMARTCARD_READER_DRIVER}="gnupg"
+## Omnikey AG (CardMan 3821, CardMan 6121)
+ATTR{idVendor}=="076b", ATTR{idProduct}=="3821", ENV{ID_SMARTCARD_READER}="1", ENV{ID_SMARTCARD_READER_DRIVER}="gnupg"
+ATTR{idVendor}=="076b", ATTR{idProduct}=="6622", ENV{ID_SMARTCARD_READER}="1", ENV{ID_SMARTCARD_READER_DRIVER}="gnupg"
+## Gemalto
+ATTR{idVendor}=="08e6", ATTR{idProduct}=="3478", ENV{ID_SMARTCARD_READER}="1", ENV{ID_SMARTCARD_READER_DRIVER}="gnupg"
+ATTR{idVendor}=="08e6", ATTR{idProduct}=="34c2", ENV{ID_SMARTCARD_READER}="1", ENV{ID_SMARTCARD_READER_DRIVER}="gnupg"
+## Reiner (SCT cyberJack)
+ATTR{idVendor}=="0c4b", ATTR{idProduct}=="0500", ENV{ID_SMARTCARD_READER}="1", ENV{ID_SMARTCARD_READER_DRIVER}="gnupg"
+## Kobil (KAAN)
+ATTR{idVendor}=="0d46", ATTR{idProduct}=="2012", ENV{ID_SMARTCARD_READER}="1", ENV{ID_SMARTCARD_READER_DRIVER}="gnupg"
+## VASCO (DIGIPASS 920)
+ATTR{idVendor}=="1a44", ATTR{idProduct}=="0920", ENV{ID_SMARTCARD_READER}="1", ENV{ID_SMARTCARD_READER_DRIVER}="gnupg"
+## Crypto Stick
 ATTR{idVendor}=="20a0", ATTR{idProduct}=="4107", ENV{ID_SMARTCARD_READER}="1", ENV{ID_SMARTCARD_READER_DRIVER}="gnupg"
+## Gnuk Token
+ATTR{idVendor}=="234b", ATTR{idProduct}=="0000", ENV{ID_SMARTCARD_READER}="1", ENV{ID_SMARTCARD_READER_DRIVER}="gnupg"
 
 LABEL="gnupg_rules_end"
-- 



Added tag(s) pending. Request was from Thijs Kinkhorst <thijs@debian.org> to control@bugs.debian.org. (Fri, 26 Jul 2013 07:36:05 GMT) Full text and rfc822 format available.

Reply sent to Thijs Kinkhorst <thijs@debian.org>:
You have taken responsibility. (Sat, 27 Jul 2013 07:06:10 GMT) Full text and rfc822 format available.

Notification sent to Niibe Yutaka <gniibe@fsij.org>:
Bug acknowledged by developer. (Sat, 27 Jul 2013 07:06:11 GMT) Full text and rfc822 format available.

Message #12 received at 691392-close@bugs.debian.org (full text, mbox):

From: Thijs Kinkhorst <thijs@debian.org>
To: 691392-close@bugs.debian.org
Subject: Bug#691392: fixed in gnupg 1.4.14-1
Date: Sat, 27 Jul 2013 07:03:01 +0000
Source: gnupg
Source-Version: 1.4.14-1

We believe that the bug you reported is fixed in the latest version of
gnupg, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 691392@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thijs Kinkhorst <thijs@debian.org> (supplier of updated gnupg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 25 Jul 2013 21:50:32 +0200
Source: gnupg
Binary: gnupg gnupg-curl gpgv gnupg-udeb gpgv-udeb gpgv-win32
Architecture: source all amd64
Version: 1.4.14-1
Distribution: unstable
Urgency: low
Maintainer: Debian GnuPG-Maintainers <pkg-gnupg-maint@lists.alioth.debian.org>
Changed-By: Thijs Kinkhorst <thijs@debian.org>
Description: 
 gnupg      - GNU privacy guard - a free PGP replacement
 gnupg-curl - GNU privacy guard - a free PGP replacement (cURL)
 gnupg-udeb - GNU privacy guard - a free PGP replacement (udeb)
 gpgv       - GNU privacy guard - signature verification tool
 gpgv-udeb  - minimal signature verification tool (udeb)
 gpgv-win32 - GNU privacy guard - signature verification tool (win32 build)
Closes: 399904 691392 717845 717880
Changes: 
 gnupg (1.4.14-1) unstable; urgency=low
 .
   * New upstream release (closes: #717845).
     - Adds IDEA support. Update package description.
     - Fixes security issue: side channel attack on RSA.
       (CVE-2013-4242, closes: #717880).
     - Fixes list-keys hanging at ctrl-C (closes: #399904).
   * Add more smartcard reader udev rules, thanks Niibe Yutaka
     (closes: #691392).
   * Checked for policy 3.9.4, no changes.
Checksums-Sha1: 
 2c5d6f1e4b560024285937051cdf6f48d0d1042b 1968 gnupg_1.4.14-1.dsc
 607691dd42a24f39fd74dded20375c4c0bc47d2c 5086642 gnupg_1.4.14.orig.tar.gz
 f94d2989817c0d95a14f811aac042a5c4b7f1616 26999 gnupg_1.4.14-1.debian.tar.gz
 0ae420ba21032b3f26f8be127df8cac514320170 654154 gpgv-win32_1.4.14-1_all.deb
 8709e80ffdd2bbaae202e755763a85c7ec5875e2 1987166 gnupg_1.4.14-1_amd64.deb
 9fddb346225bdbe0aceaf088b4c9a4970082391a 63826 gnupg-curl_1.4.14-1_amd64.deb
 05d613d3a6017cf91fc80836a56b595dbe5d25f8 225636 gpgv_1.4.14-1_amd64.deb
 fae81c5b5727533b0db2a623060d75a74cbc366c 353582 gnupg-udeb_1.4.14-1_amd64.udeb
 1740a9666dc8bc19a495586026cfed78d791ac22 130310 gpgv-udeb_1.4.14-1_amd64.udeb
Checksums-Sha256: 
 72973397a4e80e9997e547d4abc11b99af7ded38fa14d9be5a4ea183dae61e3d 1968 gnupg_1.4.14-1.dsc
 03ea5dfea5063f0a5990331a359d27b45ebce35cfe3776f88455ef826cbbf64f 5086642 gnupg_1.4.14.orig.tar.gz
 3db12fcb3ea8b00b1b0852a60d63a2da5c74066aaa9136f155ea164f394bbe9f 26999 gnupg_1.4.14-1.debian.tar.gz
 6f980424cdbf40d3a00f13f33fd0873ed5cf8d5f9d1e56af109e66d78da11846 654154 gpgv-win32_1.4.14-1_all.deb
 3cb24f6d913828ae52ba1f7234ae9d473aef370419df809db3ae841faa8c43c8 1987166 gnupg_1.4.14-1_amd64.deb
 b32c18598d53d048554ba7552713c93514c6e06d9d782371b2f3064ebfc7f36e 63826 gnupg-curl_1.4.14-1_amd64.deb
 bd55613026c620f47677b6236eb0b9cd69abd28037199ae7c1cce815c79ba51f 225636 gpgv_1.4.14-1_amd64.deb
 2f9ae3cb57ca74072ad8c0d28005ce5e84e6c06db2c3ca12e643057f9ca8df39 353582 gnupg-udeb_1.4.14-1_amd64.udeb
 c21482722fe6f2e729c66d905625a61efd8e6b50719cb54af7a0375f99853481 130310 gpgv-udeb_1.4.14-1_amd64.udeb
Files: 
 e37a17dce947a309e31908fa05ecbf16 1968 utils important gnupg_1.4.14-1.dsc
 63f43ee0b5734a97c2c791428e1d8062 5086642 utils important gnupg_1.4.14.orig.tar.gz
 84d303ce1b183ee120b6c5d885429c62 26999 utils important gnupg_1.4.14-1.debian.tar.gz
 93a94edb666e4b39dbbe85511ca2e00f 654154 utils extra gpgv-win32_1.4.14-1_all.deb
 22901fc90e329155f02f13da3f8c86e3 1987166 utils important gnupg_1.4.14-1_amd64.deb
 adf8c0a2f039ad339742b7058b038031 63826 utils optional gnupg-curl_1.4.14-1_amd64.deb
 e013e08bb53f4d27b15459e629429024 225636 utils important gpgv_1.4.14-1_amd64.deb
 d7456e8e3df15047a0779237239e8d9f 353582 debian-installer extra gnupg-udeb_1.4.14-1_amd64.udeb
 703292ff74e83ca2078bb8ba3328bb34 130310 debian-installer extra gpgv-udeb_1.4.14-1_amd64.udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQEcBAEBAgAGBQJR8287AAoJEFb2GnlAHawEpPAIAJ0mKQPIaS56xgacwX87KQ6+
gNnHA2VRl7HEqU1wdS82tybWFkPzVP3IqJYh6+bwlQCg/33m6QdpFCIc5LAJRSbS
Ewe+o+HGLeVGY7bxzX93a/YiU2NiSUfrsk6MDYHDFFKOn7xWmUiHAK3G7P38X1Cg
zxqgFl/wZ+pFH6Jt2wqOuQeY3RFvM3nkURmCGmWpPdmbxCHqPs9Dgc8pF6nCAvea
Mrjn2ao/eRoulKyPp05vwHdmtvRrx5kv2kNo2YL+eNt86i3vTt+BcCapnsqheqik
pj4+YsnrUPm5GL7zP/I4/RJs975SEqFEMonuoqyuYGHvQTthaoKbsZ7XUSfAiso=
=Ui8n
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 27 Aug 2013 07:36:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 22:58:05 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.